import request from '@/utils/request'

export function add(sTask, taskways) {
  return request({
    url: 'api/sTask',
    method: 'post',
    data: {
      sTask,
      taskways
    }
  })
}

export function del(id) {
  return request({
    url: 'api/sTask/' + id,
    method: 'delete'
  })
}

export function edit(sTask, taskways) {
  return request({
    url: 'api/sTask',
    method: 'put',
    data: {
      sTask,
      taskways
    }
  })
}

export function updateIsPause(id) {
  return request({
    url: 'api/updateIsPause/' + id,
    method: 'put'
  })
}

export function execution(id) {
  return request({
    url: 'api/execution/' + id,
    method: 'put'
  })
}

export function sTaskNoPage() {
  return request({
    url: 'api/sTaskNoPage',
    method: 'post',
    data: {
    }
  })
}
